VirtualBox

source: vbox/trunk/src/VBox/HostDrivers/linux/loadall.sh@ 77807

Last change on this file since 77807 was 76553, checked in by vboxsync, 6 years ago

scm --update-copyright-year

  • Property svn:eol-style set to LF
  • Property svn:executable set to *
  • Property svn:keywords set to Author Date Id Revision
File size: 2.2 KB
Line 
1#!/bin/bash
2## @file
3# For development, builds and loads all the host drivers.
4#
5
6#
7# Copyright (C) 2010-2019 Oracle Corporation
8#
9# This file is part of VirtualBox Open Source Edition (OSE), as
10# available from http://www.virtualbox.org. This file is free software;
11# you can redistribute it and/or modify it under the terms of the GNU
12# General Public License (GPL) as published by the Free Software
13# Foundation, in version 2 as it comes in the "COPYING" file of the
14# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
15# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
16#
17# The contents of this file may alternatively be used under the terms
18# of the Common Development and Distribution License Version 1.0
19# (CDDL) only, as it comes in the "COPYING.CDDL" file of the
20# VirtualBox OSE distribution, in which case the provisions of the
21# CDDL are applicable instead of those of the GPL.
22#
23# You may elect to license modified versions of this file under the
24# terms and conditions of either the GPL or the CDDL or both.
25#
26
27TARGET=`readlink -e -- "${0}"` || exit 1 # The GNU-specific way.
28MY_DIR="${TARGET%/[!/]*}"
29MY_GROUPNAME="vboxusers"
30
31#
32# vboxusers membership check.
33#
34if ! (id -Gn | grep -w ${MY_GROUPNAME}); then
35 echo "loadall.sh: you're not a member of vboxusers...";
36 # Create the group.
37 if ! getent group ${MY_GROUPNAME}; then
38 set -e
39 sudo groupadd -r -f ${MY_GROUPNAME}
40 set +e
41 fi
42 # Add ourselves.
43 MY_USER=`id -un`
44 if [ -z "${MY_USER}" ]; then echo "loadall.sh: cannot figure user name"; exit 1; fi
45 sudo usermod -a -G ${MY_GROUPNAME} "${MY_USER}";
46
47 # Require relogon.
48 echo "loadall.sh: You must log on again to load the new group membership."
49 exit 1
50fi
51
52#
53# Normal action.
54#
55if [ ${#} -eq 0 ]; then
56 if [ -f "${MY_DIR}/src/vboxdrv/vboxdrv.ko" ]; then
57 echo "Cleaning build folder."
58 make -C "${MY_DIR}/src" clean > /dev/null
59 fi
60 sudo "${MY_DIR}/vboxdrv.sh" setup
61
62#
63# Unload and clean up when '-u' is given.
64#
65elif [ ${#} -eq 1 -a "x${1}" = x-u ]; then
66 sudo "${MY_DIR}/vboxdrv.sh" cleanup
67
68#
69# Invalid syntax.
70#
71else
72 echo "Usage: loadall.sh [-u]"
73 exit 1
74fi
75
Note: See TracBrowser for help on using the repository browser.

© 2024 Oracle Support Privacy / Do Not Sell My Info Terms of Use Trademark Policy Automated Access Etiquette